5 Replies Latest reply on Jul 12, 2015 9:31 AM by MrAtariMac

    Why isn't a version of flash for Mac OSX 10.10 availible?

    alexr35261487

      The most recent Adobe Flash Update (18.0.0.203) has a system requirement for Mac OSX versions 10.6 through 10.9.

      I do have a working version of Adobe Flash Player, but it's from a while ago because that's when I had updated to 10.10 (Yosemite)

      I am currently running on a 10.10.4 Yosemite and I thought this problem would have been fixed by now because El Capitan is coming out soon.

      When will this issue be resolved? I would like to do an update quick and not do anything more that what is required of users not having this issue because that to me...is an insult.

      Screen Shot 2015-07-08 at 6.56.23 PM.png

      ^ You see that...that's not an update...THIS is almost discriminatory towards 10.10 users. FIX THIS ISSUE!!!